Version: 0.4.7
Release: alt2
Name: emacs-mmm-mode
Copyright: GPL
Group: Editors
Url: http://mmm-mode.sourceforge.net/
Summary: Multiple Major Modes in Emacs
Requires: emacs-common 
Source: mmm-mode-%{version}.tar.gz
Source1: mmm-emacs.el

BuildArch: noarch

# Automatically added by buildreq on Thu Jul 18 2002
BuildRequires: emacs-common 

%description
MMM Mode is a minor mode for Emacs that allows Multiple Major Modes
(hence the name) to coexist in one buffer.  It is particularly
well-suited to editing embedded code, such as Mason server-side
Perl, or HTML output in CGI scripts.

%description -l ru_RU.CP1251
 MMM     Emacs,   
     .      
 ,     Perl  Mason  .

   Emacs Lisp ,      
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description -l ru_RU.CP1251
 %name-el      %name,  
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n mmm-mode-%{version}

%build
./configure --prefix=%{_prefix} --infodir=%{_infodir} --with-emacs
make 

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/mmm
install -m 644 *.el* $RPM_BUILD_ROOT%{_emacslispdir}/mmm

mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 *.info* $RPM_BUILD_ROOT%{_infodir}

mkdirhier $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/mmm.el

%post
cd %{_infodir}
install-info --dir-file=/etc/info-dir mmm.info.gz

%preun
cd %{_infodir}
install-info --dir-file=/etc/info-dir --delete mmm.info.gz

%files
%defattr(-, root, root)
%doc AUTHORS FAQ INSTALL README* TODO NEWS
%dir %{_emacslispdir}/mmm/
%{_emacslispdir}/mmm/*.elc
/etc/emacs/site-start.d/*
%{_infodir}/*

%files el
%{_emacslispdir}/mmm/*.el

%changelog
* Wed Oct 09 2002 Ott Alex <ott@altlinux.ru> 0.4.7-alt2
- Fixing patch

* Fri Sep 20 2002 Ott Alex <ott@altlinux.ru> 0.4.7-alt1
- Initial build


